summaryrefslogtreecommitdiffstats
path: root/games/openjazz/openjazz.SlackBuild
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-03-30 12:29:27 -0500
committer Erik Hanson <erik@slackbuilds.org>2014-04-12 13:59:48 -0500
commit11fd7892b56d4a97cc5a93b9204562d70bbc9b21 (patch)
treed42fd296ec58c3554e75f298d1e8e38cbe375911 /games/openjazz/openjazz.SlackBuild
parentd9a8bbf2e1c9302db876e15b3459b59c5f903db4 (diff)
downloadslackbuilds-11fd7892b56d4a97cc5a93b9204562d70bbc9b21.tar.gz
slackbuilds-11fd7892b56d4a97cc5a93b9204562d70bbc9b21.tar.xz
games/openjazz: Added (engine for Jazz Jackrabbit games)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'games/openjazz/openjazz.SlackBuild')
-rw-r--r--games/openjazz/openjazz.SlackBuild139
1 files changed, 139 insertions, 0 deletions
diff --git a/games/openjazz/openjazz.SlackBuild b/games/openjazz/openjazz.SlackBuild
new file mode 100644
index 0000000000..a159e77b31
--- /dev/null
+++ b/games/openjazz/openjazz.SlackBuild
@@ -0,0 +1,139 @@
+#!/bin/sh
+
+# Slackware build script for openjazz
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=openjazz
+VERSION=${VERSION:-160214}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM=OpenJazz
+ZIPFILE=$SRCNAM-src-$VERSION.zip
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$ZIPFILE
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Patch does 4 things:
+
+# - Always look for openjazz.000 in /usr/share/openjazz. Saves the user
+# from having to keep copies or symlinks of it in every game dir.
+
+# - Writes config file to user's homedir, not current dir.
+
+# - For .psm (music) files, if they're not found as "blah.psm", try the
+# all-uppercase "BLAH.PSM" instead. Saves the user having to rename
+# them (and keeps things consistent, EVERYTHING ALL CAPS). In case you're
+# wondering, the lowercase psm filenames are hardcoded inside the data
+# files from the DOS game, not the source.
+
+# - Logs the full path & result of every attempted file open. I needed
+# this myself to understand WTF was going on, leaving it in case
+# users find it helpful.
+
+patch -p1 < $CWD/paths.diff
+
+autoreconf -if
+
+# HOMEDIR should be defined on *nix, for some reason it's not automatically.
+SLKCFLAGS="$SLKCFLAGS -DHOMEDIR"
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# icon came from windows jazz jackrabbit CD, converted with icotool
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/shareware \
+ $PKG/usr/share/$PRGNAM/shareware
+
+cd $PKG/usr/share/$PRGNAM/shareware
+unzip $CWD/jjrabbit.zip
+ for i in *.DOC; do
+ sed 's,\r,,g' $i > $PKG/usr/doc/$PRGNAM-$VERSION/shareware/$i
+ done
+ rm -f *.EXE *.DIZ *.DOC *.PIF
+cd -
+
+# wrapper script
+mkdir -p $PKG/usr/games
+cat <<EOF >$PKG/usr/games/$PRGNAM-shareware
+#!/bin/sh
+exec $PRGNAM /usr/share/$PRGNAM/shareware "\$@"
+EOF
+chmod 755 $PKG/usr/games/$PRGNAM-shareware
+
+# man page written for this slackbuild
+mkdir -p $PKG/usr/man/man6
+gzip -9c < $CWD/$PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM-shareware.desktop \
+ > $PKG/usr/share/applications/$PRGNAM-shareware.desktop
+
+for i in *.txt; do
+ sed 's,\r,,g' $i > $PKG/usr/doc/$PRGNAM-$VERSION/$i
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}